summaryrefslogtreecommitdiffstats
path: root/system/os-prober/os-prober.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/os-prober/os-prober.SlackBuild')
-rw-r--r--system/os-prober/os-prober.SlackBuild76
1 files changed, 76 insertions, 0 deletions
diff --git a/system/os-prober/os-prober.SlackBuild b/system/os-prober/os-prober.SlackBuild
new file mode 100644
index 0000000000..38a5e82750
--- /dev/null
+++ b/system/os-prober/os-prober.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for os-prober
+
+# Written by crocket (crockabiscuit@yahoo.com)
+
+PRGNAM=os-prober
+VERSION=${VERSION:-1.38}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM\_$VERSION.tar.gz
+mv $PRGNAM $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Compile newns
+make
+# Create a hierharchy for os-prober package, and copy files into it.
+# I figured out the hierarchy by typing "dpkg -L os-prober" in ubuntu.
+mkdir -p $PKG/var/lib/$PRGNAM
+
+mkdir -p $PKG/usr/bin
+cp linux-boot-prober $PKG/usr/bin
+cp os-prober $PKG/usr/bin
+
+mkdir -p $PKG/usr/lib/$PRGNAM
+cp newns $PKG/usr/lib/$PRGNAM
+
+mkdir -p $PKG/usr/lib/os-probes
+cp os-probes/common/* $PKG/usr/lib/os-probes
+mkdir -p $PKG/usr/lib/os-probes/mounted
+cp os-probes/mounted/common/* $PKG/usr/lib/os-probes/mounted
+cp os-probes/mounted/x86/* $PKG/usr/lib/os-probes/mounted
+
+mkdir -p $PKG/usr/lib/os-probes/init
+cp os-probes/init/common/* $PKG/usr/lib/os-probes/init
+
+mkdir -p $PKG/usr/lib/linux-boot-probes
+cp linux-boot-probes/common/* $PKG/usr/lib/linux-boot-probes/
+mkdir $PKG/usr/lib/linux-boot-probes/mounted
+cp linux-boot-probes/mounted/common/* $PKG/usr/lib/linux-boot-probes/mounted
+cp linux-boot-probes/mounted/x86/* $PKG/usr/lib/linux-boot-probes/mounted
+
+mkdir -p $PKG/usr/share/$PRGNAM
+cp common.sh $PKG/usr/share/$PRGNAM
+# End of making os-prober directory hierarchy.
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README TODO debian/{copyright,changelog} $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+